Package org.eclipse.birt.core.framework.parser

# Class XMLParserHandler.InnerParseState

java.lang.Object
org.eclipse.birt.core.framework.parser.AbstractParseState
org.eclipse.birt.core.framework.parser.ParseState
org.eclipse.birt.core.framework.parser.XMLParserHandler.InnerParseState

Direct Known Subclasses:
  `XMLParserHandler.InnerAnyTagState`

Enclosing class:
  `XMLParserHandler`

public class XMLParserHandler.InnerParseState extends ParseState
Base class provides the parse state framework. By default, it reports an error if an unexpected tag is seen.

## Field Summary

### Fields inherited from class org.eclipse.birt.core.framework.parser.ParseState

`handler`

### Fields inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState

`context, elementName, text`

## Constructor Summary

Constructors
Constructor
Description
`InnerParseState()`

## Method Summary

### Methods inherited from class org.eclipse.birt.core.framework.parser.ParseState

`getHandler`

### Methods inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState

`end, endElement, getAttrib, jumpTo, parseAttrs, setElementName, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InnerParseState

public InnerParseState()